<?php
/**
 *
 * @package   Woocommerce Plaza plugin Integration
 * @category Integration
 * @author   Gaston Ciani
 */
if ( ! class_exists( 'WC_Plaza_plugin_Integration' ) ) :
    class WC_Plaza_plugin_Integration extends WC_Integration {
        /**
         * Init and hook in the integration.
         */
        public function __construct() {
            global $woocommerce;
            $this->id                 = 'plaza-plugin-integration';
            $this->method_title       = __( 'Plaza Ecommerce Integration');
            $this->method_description = __( 'Integracion de Plaza Ecommerce para WooCommerce - Ingrese sus credenciales para poder agregar sus ordenes a Plazaecommerce.');
            // Load the settings.
            $this->init_form_fields();
            $this->init_settings();
            // Define user set variables.
            $this->usuario          = $this->get_option( 'usuario' );
            $this->clave_secreta          = $this->get_option( 'clave_secreta' );
            // Actions.
            add_action( 'woocommerce_update_options_integration_' .  $this->id, array( $this, 'process_admin_options' ) );
        }
        /**
         * Initialize integration settings form fields.
         */
        public function init_form_fields() {
            $this->form_fields = array(
                'usuario' => array(
                    'title'             => __( 'Usuario'),
                    'type'              => 'text',
                    'description'       => __( 'Usuario de la seccion de credenciales'),
                    'desc_tip'          => true,
                    'default'           => '',
                    'css'      => 'width:170px;',
                ),
                'clave_secreta' => array(
                    'title'             => __( 'Clave Secreta'),
                    'type'              => 'text',
                    'description'       => __( 'Clave Secreta de la seccion de credenciales'),
                    'desc_tip'          => true,
                    'default'           => '',
                    'css'      => 'width:170px;',
                ),
            );
        }
    }
endif;